%global eclipse_base     %{_libdir}/eclipse
%global eclipse_dropin   %{_datadir}/eclipse/dropins
%global gittag Root_R1_6_maintenance

Name:      eclipse-emf-transaction
Version:   1.6.0
Release:   7%{?dist}
Summary:   A model management layer for managing EMF resources
Group:     System Environment/Libraries
License:   EPL
URL:       http://www.eclipse.org/modeling/emf/?project=transaction

Source0:   http://git.eclipse.org/c/emf-transaction/org.eclipse.emf.transaction.git/snapshot/org.eclipse.emf.transaction-%{gittag}.tar.gz

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    jpackage-utils
BuildRequires:    eclipse-pde >= 1:4.2.0
BuildRequires:    eclipse-emf >= 2.8.0
BuildRequires:    eclipse-emf-validation >= 1.6.0
Requires:         jpackage-utils
Requires:         eclipse-platform >= 1:4.2.0
Requires:         eclipse-emf >= 2.8.0
Requires:         eclipse-emf-validation >= 1.6.0

%description
The transaction component provide support for clients to read and write EMF
models on multiple threads, provides automatic validation to detect invalid
changes and provides support for batched notification of related changes,
rather than as a stream of EMF notifications. In particular, this allows
applications to analyze change sets in their entirety. For a simplified
programming model, the API automatically tracks changes applied to models
without the need for client code to use EMF edit commands. These changes are
encapsulated in transactions/operations that can undo and redo themselves.

%prep
%setup -q -n org.eclipse.emf.transaction-%{gittag}

%build
# build emf-transaction features
eclipse-pdebuild -f org.eclipse.emf.transaction \
  -d "emf-runtime emf-validation"
eclipse-pdebuild -f org.eclipse.emf.workspace \
  -d "emf-runtime emf-validation"
eclipse-pdebuild -f org.eclipse.emf.transaction.doc \
  -d "emf-runtime emf-validation"
eclipse-pdebuild -f org.eclipse.emf.workspace.doc \
  -d "emf-runtime emf-validation"

%install
install -d -m 755 %{buildroot}%{eclipse_dropin}
unzip -q -n -d %{buildroot}%{eclipse_dropin}/emf-transaction build/rpmBuild/org.eclipse.emf.transaction.zip
unzip -q -n -d %{buildroot}%{eclipse_dropin}/emf-transaction build/rpmBuild/org.eclipse.emf.workspace.zip
unzip -q -n -d %{buildroot}%{eclipse_dropin}/emf-transaction build/rpmBuild/org.eclipse.emf.transaction.doc.zip
unzip -q -n -d %{buildroot}%{eclipse_dropin}/emf-transaction build/rpmBuild/org.eclipse.emf.workspace.doc.zip

%files
%{eclipse_dropin}/emf-transaction
%doc org.eclipse.emf.transaction-feature/rootfiles/*

%changelog
* Thu Dec 4 2014 Alexander Kurtakov <akurtako@redhat.com> 1.6.0-7
- Adapt to emf-runtime dropins change.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.6.0-5
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Apr 21 2013 Mat Booth <fedora@matbooth.co.uk> - 1.6.0-3
- Fix FTBFS rhbz #913951.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct 15 2012 Mat Booth <fedora@matbooth.co.uk> - 1.6.0-1
- Update to latest version.
- Adapt to newer packaging guidelines.
- Fix FTBFS bug 843212.
- Include emf from new location during pdebuild.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 24 2010 Mat Booth <fedora@matbooth.co.uk> 1.4.0-1
- Update to Helios release.

* Tue Nov 24 2009 Mat Booth <fedora@matbooth.co.uk> 1.3.1-2
- Don't pretty-print the package description.

* Fri Nov 13 2009 Mat Booth <fedora@matbooth.co.uk> 1.3.1-1
- New transaction spec file based on eclipse-gef.
